Index: doc/Makefile.am
===================================================================
--- doc/Makefile.am	(revision 9cba1ebbc1de8191dc6c8055e2c1a76cbd2ed4cf)
+++ doc/Makefile.am	(revision 5a61c2970bd9f7d9d6f44dbe609bedf962fc9dba)
@@ -36,7 +36,11 @@
 	cp aubio.css examples
 	
+man:
+	docbook-to-man aubionotes.sgml > aubionotes.1
+	docbook-to-man aubioonset.sgml > aubioonset.1
+
 # Update docs for distribution
 #dist-hook: 
 
 clean:
-	rm -rf devel user examples
+	rm -rf devel user examples *.1
Index: doc/aubionotes.sgml
===================================================================
--- doc/aubionotes.sgml	(revision 5a61c2970bd9f7d9d6f44dbe609bedf962fc9dba)
+++ doc/aubionotes.sgml	(revision 5a61c2970bd9f7d9d6f44dbe609bedf962fc9dba)
@@ -0,0 +1,185 @@
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
+
+<!-- Process this file with docbook-to-man to generate an nroff manual
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
+     less'.  A typical entry in a Makefile or Makefile.am is:
+
+manpage.1: manpage.sgml
+	docbook-to-man $< > $@
+
+    
+	The docbook-to-man binary is found in the docbook-to-man package.
+	Please remember that if you create the nroff version in one of the
+	debian/rules file targets (such as build), you will need to include
+	docbook-to-man in your Build-Depends control field.
+
+  -->
+
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
+  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
+  <!ENTITY dhsurname   "<surname>Brossier</surname>">
+  <!-- Please adjust the date whenever revising the manpage. -->
+  <!ENTITY dhdate      "<date>December 1, 2004</date>">
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
+       allowed: see man(7), man(1). -->
+  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
+  <!ENTITY dhemail     "<email>piem@altern.org</email>">
+  <!ENTITY dhusername  "Paul Brossier">
+  <!ENTITY dhucpackage "<refentrytitle>AUBIO</refentrytitle>">
+  <!ENTITY dhpackage   "aubionotes">
+
+  <!ENTITY debian      "<productname>Debian</productname>">
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
+  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
+]>
+
+<refentry>
+  <refentryinfo>
+    <address>
+      &dhemail;
+    </address>
+    <author>
+      &dhfirstname;
+      &dhsurname;
+    </author>
+    <copyright>
+      <year>2003</year>
+      <holder>&dhusername;</holder>
+    </copyright>
+    &dhdate;
+  </refentryinfo>
+  <refmeta>
+    &dhucpackage;
+
+    &dhsection;
+  </refmeta>
+  <refnamediv>
+    <refname>&dhpackage;</refname>
+
+    <refpurpose>an sound file onset detector</refpurpose>
+  </refnamediv>
+  <refsynopsisdiv>
+    <cmdsynopsis>
+      <command>&dhpackage;</command>
+    </cmdsynopsis>
+  </refsynopsisdiv>
+  <refsect1>
+    <title>DESCRIPTION</title>
+
+    <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
+
+<para>The library <emphasis remap='B'>aubio</emphasis> provides a small set of functions to extract events and
+objects from audio, from live streams or still files. Onsets are used to label
+the beginning of notes, pitches to label their height.</para>
+
+<para><command>aubionotes</command> is still in an experimental state. Its aim is to segment notes
+with onsets, and label them with their detected pitch. When started without an
+input file argument (<option>-i</option>), aubionotes creates a jack input and a midi
+output. When an input file is given, it outputs the results on the console.</para>
+
+  </refsect1>
+  <refsect1>
+    <title>OPTIONS</title>
+
+<para>This program follows the usual GNU command line syntax, with long
+options starting with two dashes (`-').
+A summary of options is included below.</para>
+<variablelist>
+  <varlistentry>
+  <term><option>-i</option>
+  <option>--input filein</option></term>
+  <listitem>
+<para>Run analysis on this audio file. Most common (uncompressed) formats are 
+supported.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-o</option>
+  <option>--output fileout</option></term>
+  <listitem>
+<para>Save results in this file. The file will be created on the model of the input
+file. Results are marked by a very short wood-block sample.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-t</option>
+  <option>--threshold value</option></term>
+  <listitem>
+<para>Set the threshold value for the onset peak picking. Typical values are within
+<literal>0.001</literal> and <literal>0.900</literal>. Default is <literal>0.1</literal>. The <emphasis>lower</emphasis> the <emphasis>more
+sensible</emphasis>.  Try <literal>0.3</literal> in case of over-detections.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-j</option>
+  <option>--jack</option></term>
+  <listitem>
+<para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-h</option>
+  <option>--help</option></term>
+  <listitem>
+<para>Show summary of options.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+<para>Show results on the console.</para>
+
+  </listitem>
+  </varlistentry>
+</variablelist>
+
+  </refsect1>
+  <refsect1>
+    <title>SEE ALSO</title>
+
+    <para><emphasis>aubioonset</emphasis> (1)</para>
+
+  </refsect1>
+
+<refsect1>
+<title>BUGS</title>
+
+<para>For now the program has been only tested on audio signals sampled at 44.1
+kHz. The pitch detectors are also way too cpu-intensive.</para>
+
+</refsect1>
+
+  <refsect1>
+    <title>AUTHOR</title>
+
+    <para>This manual page was written by &dhusername; (&dhemail;). Permission
+    is granted to copy, distribute and/or modify this document under the terms
+    of the &gnu; General Public License, Version 2 any later version published
+    by the Free Software Foundation.</para>
+
+    <para>On Debian systems, the complete text of the GNU General Public
+    License can be found in /usr/share/common-licenses/GPL.</para>
+
+  </refsect1>
+</refentry>
+
+<!-- Keep this comment at the end of the file
+Local variables:
+mode: sgml
+sgml-omittag:t
+sgml-shorttag:t
+sgml-minimize-attributes:nil
+sgml-always-quote-attributes:t
+sgml-indent-step:2
+sgml-indent-data:t
+sgml-parent-document:nil
+sgml-default-dtd-file:nil
+sgml-exposed-tags:nil
+sgml-local-catalogs:nil
+sgml-local-ecat-files:nil
+End:
+-->
+
+
Index: doc/aubioonset.sgml
===================================================================
--- doc/aubioonset.sgml	(revision 5a61c2970bd9f7d9d6f44dbe609bedf962fc9dba)
+++ doc/aubioonset.sgml	(revision 5a61c2970bd9f7d9d6f44dbe609bedf962fc9dba)
@@ -0,0 +1,186 @@
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
+
+<!-- Process this file with docbook-to-man to generate an nroff manual
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
+     less'.  A typical entry in a Makefile or Makefile.am is:
+
+manpage.1: manpage.sgml
+	docbook-to-man $< > $@
+
+    
+	The docbook-to-man binary is found in the docbook-to-man package.
+	Please remember that if you create the nroff version in one of the
+	debian/rules file targets (such as build), you will need to include
+	docbook-to-man in your Build-Depends control field.
+
+  -->
+
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
+  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
+  <!ENTITY dhsurname   "<surname>Brossier</surname>">
+  <!-- Please adjust the date whenever revising the manpage. -->
+  <!ENTITY dhdate      "<date>December 1, 2004</date>">
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
+       allowed: see man(7), man(1). -->
+  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
+  <!ENTITY dhemail     "<email>piem@altern.org</email>">
+  <!ENTITY dhusername  "Paul Brossier">
+  <!ENTITY dhucpackage "<refentrytitle>AUBIO</refentrytitle>">
+  <!ENTITY dhpackage   "aubioonset">
+
+  <!ENTITY debian      "<productname>Debian</productname>">
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
+  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
+]>
+
+<refentry>
+  <refentryinfo>
+    <address>
+      &dhemail;
+    </address>
+    <author>
+      &dhfirstname;
+      &dhsurname;
+    </author>
+    <copyright>
+      <year>2003</year>
+      <holder>&dhusername;</holder>
+    </copyright>
+    &dhdate;
+  </refentryinfo>
+  <refmeta>
+    &dhucpackage;
+
+    &dhsection;
+  </refmeta>
+  <refnamediv>
+    <refname>&dhpackage;</refname>
+
+    <refpurpose>an sound file onset detector</refpurpose>
+  </refnamediv>
+  <refsynopsisdiv>
+    <cmdsynopsis>
+      <command>&dhpackage;</command>
+    </cmdsynopsis>
+  </refsynopsisdiv>
+  <refsect1>
+    <title>DESCRIPTION</title>
+
+    <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
+
+<para>The library <emphasis remap='B'>aubio</emphasis> provides a small set of functions to extract events and
+objects from audio, from live streams or still files. Onsets are used to label
+the beginning of notes, pitches to label their height.</para>
+
+<para><command>aubionotes</command> is still in an experimental state. Its aim is to segment notes
+with onsets, and label them with their detected pitch. When started without an
+input file argument (<option>-i</option>), aubionotes creates a jack input and a midi
+output. When an input file is given, it outputs the results on the console.</para>
+
+  </refsect1>
+  <refsect1>
+    <title>OPTIONS</title>
+
+<para>This program follows the usual GNU command line syntax, with long
+options starting with two dashes (`-').
+A summary of options is included below.</para>
+<variablelist>
+  <varlistentry>
+  <term><option>-i</option>
+  <option>--input filein</option></term>
+  <listitem>
+<para>Run analysis on this audio file. Most common (uncompressed) formats are 
+supported.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-o</option>
+  <option>--output fileout</option></term>
+  <listitem>
+<para>Save results in this file. The file will be created on the model of the input
+file. Results are marked by a very short wood-block sample.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-t</option>
+  <option>--threshold value</option></term>
+  <listitem>
+<para>Set the threshold value for the onset peak picking. Typical values are within
+<literal>0.001</literal> and <literal>0.900</literal>. Default is <literal>0.1</literal>. The <emphasis remap='B'>lower</emphasis> the <emphasis remap='B'>more
+sensible</emphasis>.  Try <literal>0.3</literal> in case of over-detections.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-j</option>
+  <option>--jack</option></term>
+  <listitem>
+<para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-h</option>
+  <option>--help</option></term>
+  <listitem>
+<para>Show summary of options.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+<para>Show results on the console.</para>
+
+  </listitem>
+  </varlistentry>
+</variablelist>
+
+  </refsect1>
+  <refsect1>
+    <title>SEE ALSO</title>
+
+    <para><command>aubionotes</command> (1)</para>
+
+  </refsect1>
+
+<refsect1>
+<title>BUGS</title>
+
+<para>For now the program has been only tested on audio signals sampled at 44.1
+kHz.</para>
+
+</refsect1>
+
+  <refsect1>
+    <title>AUTHOR</title>
+
+    <para>This manual page was written by &dhusername; (&dhemail;). Permission
+    is granted to copy, distribute and/or modify this document under the terms
+    of the &gnu; General Public License, Version 2 any later version published
+    by the Free Software Foundation.</para>
+
+    <para>On Debian systems, the complete text of the GNU General Public
+    License can be found in /usr/share/common-licenses/GPL.</para>
+
+  </refsect1>
+</refentry>
+
+<!-- Keep this comment at the end of the file
+Local variables:
+mode: sgml
+sgml-omittag:t
+sgml-shorttag:t
+sgml-minimize-attributes:nil
+sgml-always-quote-attributes:t
+sgml-indent-step:2
+sgml-indent-data:t
+sgml-parent-document:nil
+sgml-default-dtd-file:nil
+sgml-exposed-tags:nil
+sgml-local-catalogs:nil
+sgml-local-ecat-files:nil
+End:
+-->
+
+
+
Index: amples/aubionotes.1
===================================================================
--- examples/aubionotes.1	(revision 9cba1ebbc1de8191dc6c8055e2c1a76cbd2ed4cf)
+++ 	(revision )
@@ -1,102 +1,0 @@
-.\"                                      Hey, EMACS: -*- nroff -*-
-.\" First parameter, NAME, should be all caps
-.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
-.\" other parameters are allowed: see man(7), man(1)
-.TH AUBIONOTES 1 "May  3, 2004"
-.\" Please adjust this date whenever revising the man-page.
-.\"
-.\" Some roff macros, for reference:
-.\" .nh        disable hyphenation
-.\" .hy        enable hyphenation
-.\" .ad l      left justify
-.\" .ad b      justify to both left and right margins
-.\" .nf        disable filling
-.\" .fi        enable filling
-.\" .br        insert line break
-.\" .sp <n>    insert n+1 empty lines
-.\" for man-page-specific macros, see man(7)
-.SH NAME
-aubionotes \- detects notes in a sound file 
-.SH SYNOPSIS
-.B aubionotes
-.RI [ -i | --input
-.RB < soundfilein > 
-.RI ]
-.RI [ -o | --output 
-.RB < soundfileout > 
-.RI ]
-.RI [ -t | --threshold 
-.RB < thres > 
-.RI ]
-.RI [ -j | --jack ]
-.RI [ -v | --verbose ]
-.SH DESCRIPTION
-This manual page documents briefly the
-.B aubionotes
-command.
-.PP
-The library \fBaubio\fP provides a small set of functions to extract events and
-objects from audio, from live streams or still files. Onsets are used to label
-the beginning of notes, pitches to label their height.
-
-\fBaubionotes\fP is still in an experimental state. Its aim is to segment notes
-with onsets, and label them with their detected pitch. When started without an
-input file argument (\fI\-i\fP), aubionotes creates a jack input and a midi
-output. When an input file is given, it outputs the results on the console.
-
-.SH OPTIONS
-This program follows the usual GNU command line syntax, with long
-options starting with two dashes (`-').
-A summary of options is included below.
-.TP
-.B \-i, \-\-input filein
-Run analysis on this audio file. Most common (uncompressed) formats are 
-supported.
-.TP
-.B \-o, \-\-output fileout
-Save results in this file. The file will be created on the model of the input
-file. Results are marked by a very short wood-block sample.
-.TP
-.B \-t, \-\-threshold value
-Set the threshold value for the onset peak picking. Typical values are within
-\fI0.001\fP and \fI0.900\fP. Default is \fI0.1\fP. The \fBlower\fP the \fBmore
-sensible\fP.  Try \fI0.3\fP in case of over-detections.
-.TP
-.B \-j, \-\-jack
-Run in jack mode (default when started without input file) and creates a midi output.
-.TP
-.B \-h, \-\-help
-Show summary of options.
-.TP
-.B \-v, \-\-verbose
-Show results on the console.
-
-.SH EXAMPLES
-.TP
-.I Analyse a file and save the notes times and pitches 
-
-$ aubionotes -v -i myloop.wav 2> myloop.txt
-
-The results are expressed in seconds and midi pitch. 
-
-.TP
-.I Start as a jack client
-
-$ aubionotes -t 0.4
-
-Note you will need to have \fIjackd\fP(1) running. Try connecting a midi
-instrument to the aubio midi output.
-
-.SH LIMITATIONS
-The audio feedback is still limited to playing a wood-block sound.
-.SH BUGS
-For now the program works only on audio signals sampled at 44.1 kHz. It is also
-way too intensive. Hopefully this will be fixed in the next release.
-.SH SEE ALSO
-The source code is documented using
-.IR doxygen (1),
-available in the documentation package or at 
-.BR http://piem.homeip.net/~piem/aubio/doc/ .
-.SH AUTHOR
-This manual page was written by Paul Brossier <piem@altern.org>,
-for the Debian project (but may be used by others).
Index: amples/aubioonset.1
===================================================================
--- examples/aubioonset.1	(revision 9cba1ebbc1de8191dc6c8055e2c1a76cbd2ed4cf)
+++ 	(revision )
@@ -1,103 +1,0 @@
-.\"                                      Hey, EMACS: -*- nroff -*-
-.\" First parameter, NAME, should be all caps
-.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
-.\" other parameters are allowed: see man(7), man(1)
-.TH AUBIOONSET 1 "May  3, 2004"
-.\" Please adjust this date whenever revising the man-page.
-.\"
-.\" Some roff macros, for reference:
-.\" .nh        disable hyphenation
-.\" .hy        enable hyphenation
-.\" .ad l      left justify
-.\" .ad b      justify to both left and right margins
-.\" .nf        disable filling
-.\" .fi        enable filling
-.\" .br        insert line break
-.\" .sp <n>    insert n+1 empty lines
-.\" for man-page-specific macros, see man(7)
-.SH NAME
-aubioonset \- detects onset times in a sound file 
-.SH SYNOPSIS
-.B aubioonset
-.RI [ -i | --input
-.RB < soundfilein > 
-.RI ]
-.RI [ -o | --output 
-.RB < soundfileout > 
-.RI ]
-.RI [ -t | --threshold 
-.RB < thres > 
-.RI ]
-.RI [ -j | --jack ]
-.RI [ -v | --verbose ]
-
-.SH DESCRIPTION
-This manual page documents briefly the
-.B aubioonset
-command.
-.PP
-The \fBaubio\fP library provides a small set of functions to extract events and
-objects from audio, from live streams or still files. Onsets are used to label
-the beginning of notes.
-
-\fBaubioonset\fP extract onsets from an audio input. It works online or
-off-line: live as a jack client, or with an input sound file. When running on a
-file, results can be printed to the console using the \fI\-v\fP flag.
-
-.SH OPTIONS
-This program follows the usual GNU command line syntax, with long
-options starting with two dashes (`-').
-A summary of options is included below.
-.TP
-.B \-i, \-\-input filein
-Run analysis on this audio file. Most common (uncompressed) formats are 
-supported.
-.TP
-.B \-o, \-\-output fileout
-Save results in this file. The file will be created on the model of the input
-file. Results are marked by a very short wood-block sample.
-.TP
-.B \-t, \-\-threshold value
-Set the threshold value for the onset peak picking. Typical values are within
-\fI0.001\fP and \fI0.900\fP. Default is \fI0.1\fP. The \fBlower\fP the \fBmore
-sensible\fP.  Try \fI0.3\fP in case of over-detections.
-.TP
-.B \-j, \-\-jack
-Run in jack mode (default when started without input file).
-.TP
-.B \-h, \-\-help
-Show summary of options.
-.TP
-.B \-v, \-\-verbose
-Show results on the console.
-
-.SH EXAMPLES
-.TP
-.I Analyse a file and save the onsets times (in seconds)
-
-$ aubioonset -v -i myloop.wav 2> myloop.txt
-
-One can start a new project in \fIaudacity\fP(1), import myloop.wav as an audio
-track, and myloop.txt as a label track. This allows to verify each onset
-position, label them with text and select notes, bars and loops.
-
-.TP
-.I Start as a jack client
-
-$ aubioonset -t 0.2
-
-Note you will need to have \fIjackd\fP(1) running.
-
-.SH LIMITATIONS
-The audio feedback in both case is still limited to playing a wood-block sound.
-Midi messages will be sent in the near future.
-.SH BUGS
-For now the program works only on audio signals sampled at 44.1 kHz.
-.SH SEE ALSO
-The source code is documented using
-.IR doxygen (1),
-available in the documentation package or at 
-.BR http://piem.homeip.net/~piem/aubio/doc/ .
-.SH AUTHOR
-This manual page was written by Paul Brossier <piem@altern.org>,
-for the Debian project (but may be used by others).
Index: python/aubio/Makefile.am
===================================================================
--- python/aubio/Makefile.am	(revision 9cba1ebbc1de8191dc6c8055e2c1a76cbd2ed4cf)
+++ python/aubio/Makefile.am	(revision 5a61c2970bd9f7d9d6f44dbe609bedf962fc9dba)
@@ -8,2 +8,3 @@
 	rm -f *.pyc
 
+distclean: clean
Index: python/aubio/Makefile.in
===================================================================
--- python/aubio/Makefile.in	(revision 9cba1ebbc1de8191dc6c8055e2c1a76cbd2ed4cf)
+++ python/aubio/Makefile.in	(revision 5a61c2970bd9f7d9d6f44dbe609bedf962fc9dba)
@@ -334,4 +334,6 @@
 clean:
 	rm -f *.pyc
+
+distclean: clean
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
